import { TipoVivienda } from 'src/tipo-vivienda/tipo-vivienda.entity';
import { TipoOperacion } from 'src/tipo-operacion/tipo-operacion.entity';
import { TipoUbicacion } from 'src/tipo-ubicacion/tipo-ubicacion.entity';
import { Estado } from 'src/estado/estado.entity';
import { EstadoInmueble } from 'src/estado-inmueble/estado-inmueble.entity';
import { TipoInmueble } from 'src/tipo-inmueble/tipo-inmueble.entity';
import { NivelAmoblado } from 'src/nivel-amoblado/nivel-amoblado.entity';
import { Distrito } from 'src/distrito/distrito.entity';
import { User } from 'src/users/user.entity';
import { Favoritos } from 'src/favoritos/favoritos.entity';
import { InmuebleAreasSociales } from 'src/inmueble-areas-sociales/inmueble-areas-sociales.entity';
import { Galeria } from 'src/galeria/galeria.entity';
import { InmuebleEstados } from 'src/inmueble-estados/inmueble-estados.entity';
import { InmuebleVistas } from 'src/inmueble-vistas/inmueble-vistas.entity';
import { TipoMoneda } from 'src/tipo-moneda/tipo-moneda.entity';
export declare class Inmueble {
    id: number;
    bathroom: number;
    dormitorios: number;
    cocheras: number;
    ambientes: number;
    mascotas: string;
    cuarto_servicio: string;
    balcon: string;
    terraza: string;
    ascensor: string;
    condominio: string;
    deposito: string;
    proyecto: string;
    areas_sociales: string;
    area: number;
    area_techada: number;
    precio: string;
    precio_mantenimiento: string;
    piso: number;
    descripcion: string;
    direccion: string;
    latitud: string;
    longitud: string;
    zoom: string;
    antiguedad: number;
    estreno: string;
    titulo: string;
    tipo_vivienda_id: number;
    tipo_operacion_id: number;
    tipo_inmueble_id: number;
    nivel_amoblado_id: number;
    distrito_id: number;
    user_id: number;
    tipo_ubicacion_id: number;
    estado_inmueble_id: number;
    created_at: Date;
    updated_at: Date;
    deleted_at: Date;
    tipo_moneda_id: number;
    estado_id: number;
    tipoMoneda: TipoMoneda;
    tipoVivienda: TipoVivienda;
    tipoOperacion: TipoOperacion;
    estado: Estado;
    estadoInmueble: EstadoInmueble;
    tipoInmueble: TipoInmueble;
    nivelAmoblado: NivelAmoblado;
    distrito: Distrito;
    user: User;
    tipoUbicacion: TipoUbicacion;
    favoritos: Favoritos[];
    inmuebleAreasSociales: InmuebleAreasSociales[];
    galeria: Galeria[];
    inmuebleEstados: InmuebleEstados[];
    inmuebleVistas: InmuebleVistas[];
}
